## rust-regalloc2 0.9.1

=== debian/changelog ===
rust-regalloc2 (0.9.1-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2023 10:35:58 +0200

rust-regalloc2 (0.9.1-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1041417

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2023 19:33:52 +0200
