=== debian/control ===
Source: rust-regalloc2
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 librust-hashbrown-0.12+default-dev <!nocheck>,
 librust-log-0.4-dev <!nocheck>,
 librust-rustc-hash-1-dev <!nocheck>,
 librust-serde-1+alloc-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-slice-group-by-0.3-dev <!nocheck>,
 librust-smallvec-1+default-dev <!nocheck>,
 librust-smallvec-1+union-dev <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-regalloc2.git
Vcs-Browser: https://salsa.debian.org/debian/rust-regalloc2
Homepage: https://github.com/bytecodealliance/regalloc2
Rules-Requires-Root: no

Package: librust-regalloc2-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-hashbrown-0.12+default-dev,
 librust-log-0.4-dev,
 librust-rustc-hash-1-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-slice-group-by-0.3-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+union-dev,
 ${misc:Depends},
Provides:
 librust-regalloc2-0.9+checker-dev (= ${binary:Version}),
 librust-regalloc2-0.9+default-dev (= ${binary:Version}),
 librust-regalloc2-0.9+enable-serde-dev (= ${binary:Version}),
 librust-regalloc2-0.9+std-dev (= ${binary:Version}),
 librust-regalloc2-0.9+trace-log-dev (= ${binary:Version}),
 librust-regalloc2-0.9-dev (= ${binary:Version}),
 librust-regalloc2-0.9.1-dev (= ${binary:Version}),
Description: backtracking register allocator - Rust source code
 regalloc2 is a register allocator
 that started life as, and is about 50% still,
 a port of IonMonkey's backtracking register allocator to Rust.
 In many regards, it has been generalized, optimized, and improved
 since the initial port.
 .
 In addition,
 it contains substantial amounts of testing infrastructure
 (fuzzing harnesses and checkers)
 that does not exist in the original IonMonkey allocator.
 .
 This package contains the source for the Rust regalloc2 crate,
 for use with cargo and dh-cargo.
