## rust-regalloc2 0.9.3

=== debian/changelog ===
rust-regalloc2 (0.9.3-1) unstable; urgency=medium

  * drop patch 2002_clap, obsoleted by Debian package changes
  * relax patch 2002_hashbrown to cover newer hasbrown;
    relax (build-)dependencies for crate hashbrown;
    closes: bug#1063883, thanks to Peter Green
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Feb 2024 09:07:37 +0100

rust-regalloc2 (0.9.2-2) unstable; urgency=medium

  * generate documentation during build;
    add TODO note on generating manpage during build

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 19:38:27 +0200

rust-regalloc2 (0.9.2-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project version in virtual packages and autopkgtests
  * provide binary package regalloc2-tool;
    build-depend on packages for crates bincode clap pretty-env-logger;
    declare build-dependencies unconditionally
    (i.e. stop skip with DEB_BUILD_OPTIONS=nocheck)
  * add patch 2002_clap
    to relax dependency to match older crate clap 4.1.13

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2023 20:27:26 +0200

rust-regalloc2 (0.9.1-3) unstable; urgency=medium

  * update DEP-3 patch headers
  * update dh-cargo fork;
    closes: bug#1047727, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Aug 2023 23:38:47 +0200
