=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: rust
 Priority: optional
 Build-Depends:
+ cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
  dh-cargo,
- librust-hashbrown-0.12+default-dev <!nocheck>,
- librust-log-0.4-dev <!nocheck>,
- librust-rustc-hash-1-dev <!nocheck>,
- librust-serde-1+alloc-dev <!nocheck>,
- librust-serde-1+derive-dev <!nocheck>,
- librust-slice-group-by-0.3-dev <!nocheck>,
- librust-smallvec-1+default-dev <!nocheck>,
- librust-smallvec-1+union-dev <!nocheck>,
- libstring-shellquote-perl <!nocheck>,
+ help2man <!nodoc>,
+ librust-bincode-1+default-dev,
+ librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
+ librust-hashbrown-dev (<< 0.15),
+ librust-log-0.4-dev,
+ librust-pretty-env-logger-0.5+default-dev,
+ librust-rustc-hash-1-dev,
+ librust-serde-1+alloc-dev,
+ librust-serde-1+derive-dev,
+ librust-slice-group-by-0.3-dev,
+ librust-smallvec-1+default-dev,
+ librust-smallvec-1+union-dev,
+ libstring-shellquote-perl,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/rust-regalloc2.git
@@ -24,7 +30,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-hashbrown-0.12+default-dev,
+ librust-hashbrown-dev (<< 0.15),
  librust-log-0.4-dev,
  librust-rustc-hash-1-dev,
  librust-serde-1+alloc-dev,
@@ -40,7 +46,7 @@
  librust-regalloc2-0.9+std-dev (= ${binary:Version}),
  librust-regalloc2-0.9+trace-log-dev (= ${binary:Version}),
  librust-regalloc2-0.9-dev (= ${binary:Version}),
- librust-regalloc2-0.9.1-dev (= ${binary:Version}),
+ librust-regalloc2-0.9.3-dev (= ${binary:Version}),
 Description: backtracking register allocator - Rust source code
  regalloc2 is a register allocator
  that started life as, and is about 50% still,
@@ -55,3 +61,33 @@
  .
  This package contains the source for the Rust regalloc2 crate,
  for use with cargo and dh-cargo.
+
+Package: regalloc2-tool
+Architecture: any
+Multi-Arch: allowed
+Depends:
+ ${cargo:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Built-Using:
+ ${cargo:Built-Using},
+XB-X-Cargo-Built-Using:
+ ${cargo:X-Cargo-Built-Using},
+Description: tool for testing regalloc2
+ regalloc2 is a register allocator
+ that started life as, and is about 50% still,
+ a port of IonMonkey's backtracking register allocator to Rust.
+ In many regards, it has been generalized, optimized, and improved
+ since the initial port.
+ .
+ In addition,
+ it contains substantial amounts of testing infrastructure
+ (fuzzing harnesses and checkers)
+ that does not exist in the original IonMonkey allocator.
+ .
+ This package contains the command-line tool regalloc2-tool
+ which reads a bincode-encoded SerializableFunction
+ and then runs the register allocator and checker on it.
+ .
+ This is a useful tool for debugging register allocation failures
+ and to investigate cases of poor register allocation.
