=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets --all-features
Features: test-name=rust-regalloc2-0.9:@
Depends:
 dh-cargo,
 librust-regalloc2-0.9-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets --no-default-features
Features: test-name=rust-regalloc2-0.9:
Depends:
 dh-cargo,
 librust-regalloc2-0.9-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets
Features: test-name=rust-regalloc2-0.9:default
Depends:
 dh-cargo,
 librust-regalloc2-0.9+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets --no-default-features --features checker
Features: test-name=rust-regalloc2-0.9:checker
Depends:
 dh-cargo,
 librust-regalloc2-0.9+checker-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets --no-default-features --features enable-serde
Features: test-name=rust-regalloc2-0.9:enable-serde
Depends:
 dh-cargo,
 librust-regalloc2-0.9+enable-serde-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets --no-default-features --features std
Features: test-name=rust-regalloc2-0.9:std
Depends:
 dh-cargo,
 librust-regalloc2-0.9+std-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test regalloc2 0.9.3
 --all-targets --no-default-features --features trace-log
Features: test-name=rust-regalloc2-0.9:trace-log
Depends:
 dh-cargo,
 librust-regalloc2-0.9+trace-log-dev,
Restrictions: allow-stderr
