## rust-regalloc2 0.9.4

=== debian/changelog ===
rust-regalloc2 (0.9.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop mention dh-cargo in long description
  * bump project versions in virtual packages and autopkgtests
  * drop patch cherry-picked upstream, now obsolete

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Aug 2024 22:28:15 +0200

rust-regalloc2 (0.9.3-4) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce autopkgtest to check single-feature tests only on amd64
  * trust upstream optimization level unless explicitly disabled
  * enable hardening and pedantic build options

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jul 2024 21:57:51 +0200

rust-regalloc2 (0.9.3-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 15:23:07 +0200

rust-regalloc2 (0.9.3-2) unstable; urgency=medium

  * update copyright info: fix file path
  * add patch cherry-picked upstream to update hashbrown to 0.14;
    drop patch 2002; tighten (build-)dependency for crate hashbrown
  * declare compliance with Debian Policy 4.7.0
  * deduplicate description strings,
    using ${source:Synopsis} and ${source:Extended-Description}

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 08:19:25 +0200
