=== debian/control ===
Source: rust-regalloc2
Section: rust
Priority: optional
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man <!nodoc>,
 librust-bincode-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-hashbrown-0.14+ahash-dev,
 librust-log-0.4-dev,
 librust-pretty-env-logger-0.5+default-dev,
 librust-rustc-hash-1-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-slice-group-by-0.3-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+union-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-regalloc2.git
Vcs-Browser: https://salsa.debian.org/debian/rust-regalloc2
Homepage: https://github.com/bytecodealliance/regalloc2
Rules-Requires-Root: no
Description: backtracking register allocator
 regalloc2 is a register allocator
 that started life as, and is about 50% still,
 a port of IonMonkey's backtracking register allocator to Rust.
 In many regards, it has been generalized, optimized, and improved
 since the initial port.
 .
 In addition,
 it contains substantial amounts of testing infrastructure
 (fuzzing harnesses and checkers)
 that does not exist in the original IonMonkey allocator.

Package: librust-regalloc2-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-hashbrown-0.14+ahash-dev,
 librust-log-0.4-dev,
 librust-rustc-hash-1-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-slice-group-by-0.3-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+union-dev,
 ${misc:Depends},
Provides:
 librust-regalloc2-0.9+checker-dev (= ${binary:Version}),
 librust-regalloc2-0.9+default-dev (= ${binary:Version}),
 librust-regalloc2-0.9+enable-serde-dev (= ${binary:Version}),
 librust-regalloc2-0.9+std-dev (= ${binary:Version}),
 librust-regalloc2-0.9+trace-log-dev (= ${binary:Version}),
 librust-regalloc2-0.9-dev (= ${binary:Version}),
 librust-regalloc2-0.9.4-dev (= ${binary:Version}),
Description: ${source:Synopsis} - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust regalloc2 crate,
 for use with cargo.

Package: regalloc2-tool
Architecture: any
Multi-Arch: allowed
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the command-line tool regalloc2-tool
 which reads a bincode-encoded SerializableFunction
 and then runs the register allocator and checker on it.
 .
 This is a useful tool for debugging register allocation failures
 and to investigate cases of poor register allocation.
