=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets --all-features
Features: test-name=rust-regalloc2-0.9:@
Depends:
 dh-rust,
 librust-regalloc2-0.9-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets --no-default-features
Features: test-name=rust-regalloc2-0.9:
Depends:
 dh-rust,
 librust-regalloc2-0.9-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets
Features: test-name=rust-regalloc2-0.9:default
Depends:
 dh-rust,
 librust-regalloc2-0.9+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets --no-default-features --features checker
Features: test-name=rust-regalloc2-0.9:checker
Depends:
 dh-rust,
 librust-regalloc2-0.9+checker-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets --no-default-features --features enable-serde
Features: test-name=rust-regalloc2-0.9:enable-serde
Depends:
 dh-rust,
 librust-regalloc2-0.9+enable-serde-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets --no-default-features --features std
Features: test-name=rust-regalloc2-0.9:std
Depends:
 dh-rust,
 librust-regalloc2-0.9+std-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test regalloc2 0.9.4
 --all-targets --no-default-features --features trace-log
Features: test-name=rust-regalloc2-0.9:trace-log
Depends:
 dh-rust,
 librust-regalloc2-0.9+trace-log-dev,
Restrictions: allow-stderr
Architecture: amd64
