## rust-regalloc2 0.10.2

=== debian/changelog ===
rust-regalloc2 (0.10.2-4) unstable; urgency=medium

  * update watch file: mangle upstream version

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 14:48:24 +0100

rust-regalloc2 (0.10.2-3) experimental; urgency=medium

  * update copyright info: update coverage
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 16:20:26 +0100

rust-regalloc2 (0.10.2-2) experimental; urgency=medium

  * add bug URI in DEP-3 patch header
  * set field Static-Built-Using (without prefix)
  * drop patch 2002, obsoleted by Debian package changes;
    tighten (build-)dependencies for crate rustc-hash

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Dec 2024 22:18:09 +0100

rust-regalloc2 (0.10.2-1) experimental; urgency=medium

  * bump project versions in virtual packages and autopkgtests
  * set Static-Built-Using (not X-Cargo-Built-Using)
  * add patch 2002 to accept older branch of create rustc-hash;
    relax (build-)dependency for crate rustc-hash

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Sep 2024 18:30:06 +0200
