=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  librust-hashbrown-0.14+ahash-dev,
  librust-log-0.4-dev,
  librust-pretty-env-logger-0.5+default-dev,
- librust-rustc-hash-1-dev,
+ librust-rustc-hash-2-dev,
  librust-serde-1+alloc-dev,
  librust-serde-1+derive-dev,
  librust-slice-group-by-0.3-dev,
@@ -42,7 +42,7 @@
 Depends:
  librust-hashbrown-0.14+ahash-dev,
  librust-log-0.4-dev,
- librust-rustc-hash-1-dev,
+ librust-rustc-hash-2-dev,
  librust-serde-1+alloc-dev,
  librust-serde-1+derive-dev,
  librust-slice-group-by-0.3-dev,
@@ -50,13 +50,13 @@
  librust-smallvec-1+union-dev,
  ${misc:Depends},
 Provides:
- librust-regalloc2-0.9+checker-dev (= ${binary:Version}),
- librust-regalloc2-0.9+default-dev (= ${binary:Version}),
- librust-regalloc2-0.9+enable-serde-dev (= ${binary:Version}),
- librust-regalloc2-0.9+std-dev (= ${binary:Version}),
- librust-regalloc2-0.9+trace-log-dev (= ${binary:Version}),
- librust-regalloc2-0.9-dev (= ${binary:Version}),
- librust-regalloc2-0.9.4-dev (= ${binary:Version}),
+ librust-regalloc2-0.10+checker-dev (= ${binary:Version}),
+ librust-regalloc2-0.10+default-dev (= ${binary:Version}),
+ librust-regalloc2-0.10+enable-serde-dev (= ${binary:Version}),
+ librust-regalloc2-0.10+std-dev (= ${binary:Version}),
+ librust-regalloc2-0.10+trace-log-dev (= ${binary:Version}),
+ librust-regalloc2-0.10-dev (= ${binary:Version}),
+ librust-regalloc2-0.10.2-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
@@ -72,8 +72,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${cargo:Built-Using},
-XB-X-Cargo-Built-Using:
- ${cargo:X-Cargo-Built-Using},
+Static-Built-Using:
+ ${cargo:Static-Built-Using},
 Description: ${source:Synopsis}
  ${source:Extended-Description}
  .
