## rust-regalloc2 0.11.3

=== debian/changelog ===
rust-regalloc2 (0.11.3-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 11:00:39 +0100

rust-regalloc2 (0.11.3-1) experimental; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1121661

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * update (build-)dependencies for crate hashbrown;
    (build-)depend on packages for crates allocator-api2 bumpalo;
    stop (build-)depend on package for crate slice-group-by

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 11:52:13 +0100

rust-regalloc2 (0.10.2-5) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * declare compliance with Debian Policy 4.7.2
  * drop watch file: use upstream metadata instead

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 18:00:34 +0200
