=== debian/control ===
--- 
+++ 
@@ -6,20 +6,23 @@
  debhelper-compat (= 13),
  dh-sequence-rust,
  help2man <!nodoc>,
+ librust-allocator-api2-0.2+alloc-dev,
  librust-bincode-1+default-dev,
+ librust-bumpalo-3+allocator-api2-dev,
+ librust-bumpalo-3+default-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
- librust-hashbrown-0.14+ahash-dev,
+ librust-hashbrown-0.16-dev,
  librust-log-0.4-dev,
  librust-pretty-env-logger-0.5+default-dev,
  librust-rustc-hash-2-dev,
  librust-serde-1+alloc-dev,
  librust-serde-1+derive-dev,
- librust-slice-group-by-0.3-dev,
  librust-smallvec-1+default-dev,
  librust-smallvec-1+union-dev,
+ libstd-rust-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/rust-regalloc2.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-regalloc2
 Homepage: https://github.com/bytecodealliance/regalloc2
@@ -40,23 +43,25 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-hashbrown-0.14+ahash-dev,
+ librust-allocator-api2-0.2+alloc-dev,
+ librust-bumpalo-3+allocator-api2-dev,
+ librust-bumpalo-3+default-dev,
+ librust-hashbrown-0.16-dev,
  librust-log-0.4-dev,
  librust-rustc-hash-2-dev,
  librust-serde-1+alloc-dev,
  librust-serde-1+derive-dev,
- librust-slice-group-by-0.3-dev,
  librust-smallvec-1+default-dev,
  librust-smallvec-1+union-dev,
  ${misc:Depends},
 Provides:
- librust-regalloc2-0.10+checker-dev (= ${binary:Version}),
- librust-regalloc2-0.10+default-dev (= ${binary:Version}),
- librust-regalloc2-0.10+enable-serde-dev (= ${binary:Version}),
- librust-regalloc2-0.10+std-dev (= ${binary:Version}),
- librust-regalloc2-0.10+trace-log-dev (= ${binary:Version}),
- librust-regalloc2-0.10-dev (= ${binary:Version}),
- librust-regalloc2-0.10.2-dev (= ${binary:Version}),
+ librust-regalloc2-0.11+checker-dev (= ${binary:Version}),
+ librust-regalloc2-0.11+default-dev (= ${binary:Version}),
+ librust-regalloc2-0.11+enable-serde-dev (= ${binary:Version}),
+ librust-regalloc2-0.11+std-dev (= ${binary:Version}),
+ librust-regalloc2-0.11+trace-log-dev (= ${binary:Version}),
+ librust-regalloc2-0.11-dev (= ${binary:Version}),
+ librust-regalloc2-0.11.3-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
